-- name: [PET] Puyo Puyos
-- description: The Puyos from Puyo Puyo\n\nby SprSn64\n\n\n\n\ncarb uncle

E_MODEL_PUYORED = smlua_model_util_get_id("puyored_geo")
E_MODEL_PUYOYELLOW = smlua_model_util_get_id("puyoyellow_geo")
E_MODEL_PUYOGREEN = smlua_model_util_get_id("puyogreen_geo")
E_MODEL_PUYOBLUE = smlua_model_util_get_id("puyoblue_geo")
E_MODEL_PUYOPURPLE = smlua_model_util_get_id("puyopurple_geo")
E_MODEL_PUYOGARBAGE = smlua_model_util_get_id("puyogarbage_geo")

local ID_PUYO = _G.wpets.add_pet({
    name = "Puyo", credit = "SprSn64",
    description = "the Puyo From Puyo Puyo",
    modelID = E_MODEL_PUYORED,
    scale = 1.0, yOffset = 0, flying = false
})
_G.wpets.set_pet_anims_head(ID_PUYO)
_G.wpets.set_pet_sounds(ID_PUYO, {
    spawn = nil,
    happy = nil,
    vanish = "puyovanish.ogg",
    step = "puyostep.ogg"
})
_G.wpets.add_pet_alt(ID_PUYO, E_MODEL_PUYOYELLOW)
_G.wpets.add_pet_alt(ID_PUYO, E_MODEL_PUYOGREEN)
_G.wpets.add_pet_alt(ID_PUYO, E_MODEL_PUYOBLUE)
_G.wpets.add_pet_alt(ID_PUYO, E_MODEL_PUYOPURPLE)
_G.wpets.add_pet_alt(ID_PUYO, E_MODEL_PUYOGARBAGE)